## ECellDateInt

ECellDateInt

## Functions

ECell * | e_cell_date_int_new ()

## Object Hierarchy

        GObject
        ╰── ECell
            ╰── ECellText
                ╰── ECellDate
                    ╰── ECellDateInt

## Description

## Functions

### e_cell_date_int_new ()

    ECell *
    e_cell_date_int_new (const gchar *fontname,
                         GtkJustification justify);

Creates a new ECell renderer that can be used to render dates that that come from the model. The value returned from the model is interpreted as being an integer with the format YYYYMMDD.

The ECellDate object support a large set of properties that can be configured through the Gtk argument system and allows the user to have a finer control of the way the string is displayed. The arguments supported allow the control of strikeout, bold, color and a date filter.

The arguments "strikeout_column", "underline_column", "bold_column" and "color_column" set and return an integer that points to a column in the model that controls these settings. So controlling the way things are rendered is achieved by having special columns in the model that will be used to flag whether the date should be rendered with strikeout, underline, or bolded. In the case of the "color_column" argument, the column in the model is expected to have a string that can be parsed by `gdk_color_parse()`.

#### Parameters

fontname | font to be used to render on the screen |
justify | Justification of the string in the cell. |

#### Returns

an ECell object that can be used to render dates encoded as integers.